DROP TABLE IF EXISTS QPACCESS;
CREATE TABLE QPACCESS (
  U_ID varchar(20) NOT NULL default '',
  QPB_ID varchar(255) NOT NULL default '',
  QPA_RIGHTS int(11) NOT NULL default '0',
  PRIMARY KEY  (U_ID,QPB_ID)
);

DROP TABLE IF EXISTS QPBOOK;
CREATE TABLE QPBOOK (
  QPB_ID varchar(255) NOT NULL default '',
  QPB_TEXTID varchar(255) NOT NULL default '',
  QPB_NAME varchar(255) NOT NULL default '',
  QPB_ID_PARENT varchar(255) default NULL,
  QPB_STATUS int(11) NOT NULL default '0',
  QPB_TITLE text,
  QPB_KEYWORDS text,
  QPB_DESCRIPTION text,
  QPB_PUBLISHED int(11) NOT NULL default '0',
  QPB_PROPERTIES text,
  QPB_THEME int(11),
  PRIMARY KEY  (QPB_ID)
);

DROP TABLE IF EXISTS QPFACCESS;
CREATE TABLE QPFACCESS (
  U_ID varchar(20) NOT NULL default '',
  QPF_ID varchar(255) NOT NULL default '',
  QPA_RIGHTS int(11) NOT NULL default '0',
  PRIMARY KEY  (U_ID,QPF_ID)
) TYPE=MyISAM;

DROP TABLE IF EXISTS QPFGROUPACCESS;
CREATE TABLE QPFGROUPACCESS (
  UG_ID int(11) NOT NULL default '0',
  QPF_ID varchar(255) NOT NULL default '',
  QPA_RIGHTS int(11) default NULL,
  PRIMARY KEY  (UG_ID,QPF_ID)
);

DROP TABLE IF EXISTS QPFOLDER;
CREATE TABLE QPFOLDER (
  QPF_ID varchar(255) NOT NULL default '',
  QPB_ID varchar(255) NOT NULL default '',
  QPF_TEXTID varchar(255) NOT NULL default '',
  QPF_NAME varchar(255) NOT NULL default '',
  QPF_TITLE varchar(255) NOT NULL default '',
  QPF_KEYWORDS text,
  QPF_DESCRIPTION text,
  QPF_CONTENT text,
  QPF_TEXT text,
  QPF_AUX1 text,
  QPF_AUX2 text,
  QPF_AUX3 text,
  QPF_PUBLISHED int(11) NOT NULL default '1',
  QPF_ATTACHMENT text,
  QPF_MODIFYDATETIME datetime NOT NULL default '0000-00-00 00:00:00',
  QPF_MODIFYUSERNAME varchar(50) NOT NULL default '',
  QPF_ID_PARENT varchar(255) default NULL,
  QPF_STATUS int(11) NOT NULL default '0',
  QPF_SORT int(11) NOT NULL default '0',
  QPF_UNIQID varchar(255) NOT NULL default '',
  PRIMARY KEY  (QPF_ID)
);

DROP TABLE IF EXISTS QPGROUPACCESS;
CREATE TABLE QPGROUPACCESS (
  UG_ID int(11) NOT NULL default '0',
  QPB_ID varchar(255) NOT NULL default '',
  QPA_RIGHTS int(11) default NULL,
  PRIMARY KEY  (UG_ID,QPB_ID)
);

DROP TABLE IF EXISTS QPTHEMES;
CREATE TABLE QPTHEMES (
  QPT_ID int(11) NOT NULL auto_increment,
  QPT_NAME varchar(50) NOT NULL,
  QPT_TYPE int(11) NOT NULL,
  QPT_SHARED int(11) NOT NULL,
  QPT_HEADER text,
  QPT_PROPERTIES text,
  QPT_USERID varchar(20) NOT NULL,
  QPT_ATTACHMENT text,
  QPT_UNIQID varchar(255) default NULL,
  PRIMARY KEY  (QPT_ID),
  KEY QPT_NAME (QPT_NAME),
  KEY QPT_USERID (QPT_USERID)
);

INSERT INTO QPACCESS(U_ID, QPB_ID, QPA_RIGHTS) VALUES('%SUBSCRIBER_ID%', 'ROOT', 2);
INSERT INTO QPTHEMES(QPT_NAME, QPT_TYPE, QPT_SHARED, QPT_HEADER, QPT_PROPERTIES, QPT_USERID, QPT_ATTACHMENT, QPT_UNIQID) VALUES('Spartan', 0, 1, '<table width=100% cellspacing=0 cellpadding=0>\r\n<tr><td>%BOOKNAME%</td></tr>\r\n</table>', '', '%SUBSCRIBER_ID%', '', 'SPARTANTHEMEFILES');
